import 'package:vgkprogaming/model/vgk-map-detail.dart';
import 'package:vgkprogaming/model/vgk-map-element.dart';

class VgkMapDetailsModel {
  VgkMapDetailsModel({
    this.name,
    this.maps,
    this.details,
  });

  String name;
  List<VgkMapElement> maps;
  List<VgkMapDetail> details;

  VgkMapDetailsModel copyWith({
    String name,
    List<VgkMapElement> maps,
    List<VgkMapDetail> details,
  }) =>
      VgkMapDetailsModel(
        name: name ?? this.name,
        maps: maps ?? this.maps,
        details: details ?? this.details,
      );

  factory VgkMapDetailsModel.fromMap(Map<String, dynamic> json) =>
      VgkMapDetailsModel(
        name: json["name"] == null ? "" : json["name"],
        maps: json["maps"] == null
            ? []
            : List<VgkMapElement>.from(
                json["maps"].map((x) => VgkMapElement.fromMap(x))),
        details: json["details"] == null
            ? []
            : List<VgkMapDetail>.from(
                json["details"].map((x) => VgkMapDetail.fromMap(x))),
      );
}
